System.Design 2.0.0.0 System.Web.UI.Design.WebControls.BaseDataBoundControlDesigner System.Web.UI.Design.IDataBindingSchemaProvider System.Web.UI.Design.IDataSourceProvider

Extend the class if you want to create a designer for the Web server control or for a class that extends .

Provides a base class for design-time support for controls that derive from .

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class.

- Property
  2.0.0.0
  System.ComponentModel.Design.DesignerActionListCollection To be added. To be added.

  Gets the object for this designer.

- Method
  2.0.0.0
  System.Boolean To be added.

  Disconnects events from the previous data source and connects them to the current data source.

  true if the data-bound control connected to a new data source; false if the data source did not change.

- Method
  2.0.0.0
  System.Void To be added.

  Invokes the standard dialog box to create a new data source control, and sets the new data source control's ID to the property of the data-bound control.

- Method
  2.0.0.0
  System.Void `` To be added.

  Binds the object to the data source.

  The object to bind to the data source.
- Property
  2.0.0.0
  System.String To be added. To be added.

  Gets the shadowed property of the underlying data-bound control.

- Property
  2.0.0.0
  System.Web.UI.Design.IDataSourceDesigner To be added. To be added.

  Gets the designer of the data source of the underlying data-bound control.

- Property
  2.0.0.0
  System.Web.UI.Design.DesignerDataSourceView To be added. To be added.

  Gets the object associated with the data source of this designer.

- Method
  2.0.0.0
  System.Void To be added.

  Disconnects the data-bound control from data source events.

- Method
  2.0.0.0
  System.Void ``

  The method unregisters the designer's event handlers from all data source events.

  Releases the unmanaged resources used by the object and optionally releases the managed resources.

  true to release both managed and unmanaged resources; false to release only unmanaged resources.
- Method
  2.0.0.0
  System.Collections.IEnumerable To be added.

  Gets the design-time data source from either the associated DataSourceDesigner or the DataSource property.

  An object that implements an interface referencing the design-time data source.

- Method
  2.0.0.0
  System.Collections.IEnumerable To be added.

  Gets dummy sample data to render the data-bound control on the design surface if sample data cannot be created from the DataSourceDesigner or DataSource properties.

  An object that implements the interface containing dummy sample data used to render the data-bound control on the design surface.

- Method
  2.0.0.0
  System.Void ``

  Override the method to perform any additional actions required when the data source of the underlying data-bound control changes.

  Overridden by the designer to shadow run-time properties of the data-bound control with corresponding properties implemented by the designer.

  An object containing the properties to filter.
- Property
  2.0.0.0
  System.Int32 To be added. To be added.

  Gets the number of rows that the data-bound control displays on the design surface.

- Property
  2.0.0.0
  System.Boolean To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Method
  2.0.0.0
  System.Void ``

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  Indicates whether to suppress any events raised while refreshing the schema.
- Property
  2.0.0.0
  System.Web.UI.Design.IDataSourceViewSchema To be added.

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

- Method
  2.0.0.0
  System.Collections.IEnumerable

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  The selected data member from the selected data source, if the control allows the user to select an IListSource object (such as a object) for the data source, and provides a property to select a particular list (or object) within the data source.

- Method
  2.0.0.0
  System.Object

  This member is an explicit interface member implementation. It can be used only when the instance is cast to an interface.

  For a description of this member, see .

  An object implementing an interface containing the design-time property of the associated control, or null if a data source is not found.

- Property
  2.0.0.0
  System.Boolean To be added. To be added.

  Gets a value indicating whether the designer should include "Choose a data source" in its action list.